Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### box()

Examples

    translate(58, 48, 0);
    rotateY(0.5);
    box(40);

    translate(58, 48, 0);
    rotateY(0.5);
    box(40, 20, 50);

Description | A box is an extruded rectangle. A box with equal dimension on all sides is a cube.

Syntax

    box(size);
    box(width, height, depth);

Parameters

size | int or float: dimension of the box in all dimensions, creates a cube
width | int or float: dimension of the box in the x-dimension
height | int or float: dimension of the box in the y-dimension
depth | int or float: dimension of the box in the z-dimension

Returns | None
Usage | Web & Application
Related | sphere()

Updated on August 30, 2010 04:29:39pm EDT